%define upstream_name    Config-Merge
%define upstream_version 1.04

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Load Perl config files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Any)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(YAML)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
Config::Merge is a configuration module which has six goals:

* * Flexible storage

  Store all configuration in your format(s) of choice (YAML, JSON, INI,
  XML, Perl, Config::General / Apache-style config) broken down into
  individual files in a configuration directory tree, for easy maintenance.
  See the /"CONFIG TREE LAYOUT" manpage

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sat Jun 18 2016 pterjan <pterjan> 1.40.0-2.mga6
+ Revision: 1024299
- Rebuild for perl 5.22.2

* Sun Jan 17 2016 buchan <buchan> 1.40.0-1.mga6
+ Revision: 924898
- imported package perl-Config-Merge


* Mon Jan 11 2016 buchan 1.04-1mga
- initial mageia release, generated with cpan2dist
